<template>
    <v-card :to="'/detail/pacient/'+item.id">
        <v-card-title>{{item.jmeno}}</v-card-title>
        <v-card-text>rok nar.: {{item.datumNarozeni}}<br />adresa: {{item.adresa}}<br />mail: {{item.email}}<br />tel: {{item.telefon}}</v-card-text>
        <v-card-actions>
            <v-spacer />
            <v-btn v-on:click="smazat">
                <v-icon>mdi-delete</v-icon>
            </v-btn>
        </v-card-actions>
    </v-card>
</template>

<script>
export default {
    props:{
        item: {}
    },
  	methods: {
        smazat: async function (event) {
            await this.$axios.delete('/api/Pacient/' + this.item.id)
                .then(res => {
                    console.log(res.data);
                })
                .catch((err) => {
                    console.log(err);
                })
                .then(res => {
                    location.href = '/Pacienti';
                })                
        }
    }
}
</script>
